# Method: datafeedstatuses.list

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/list#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/list#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/list#body.DatafeedstatusesListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/list#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/list#try-it)

Lists the statuses of the datafeeds in your Merchant Center account.

### HTTP request

`GET https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/datafeedstatuses`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string` The ID of the account that manages the datafeeds. This account cannot be a multi-client account. |

### Query parameters

| Parameters ||
|---|---|
| `maxResults` | `integer (https://developers.google.com/discovery/v1/type-format format)` The maximum number of products to return in the response, used for paging. |
| `pageToken` | `string` The token returned by the previous request. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "nextPageToken": string, "kind": string, "resources": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses#DatafeedStatus`) } ] } ``` |

| Fields ||
|---|---|
| `nextPageToken` | `string` The token for the retrieval of the next page of datafeed statuses. |
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#datafeedstatusesListResponse`". |
| `resources[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses#DatafeedStatus`)`` |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).